﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ExpressionEditor_FlexGrid
{
    public partial class ExpressionEditorEE : UserControl
    {
        public ExpressionEditorEE()
        {
            InitializeComponent();
        }
        public event EventHandler OkClick;
        public event EventHandler CancelClick;

        private void ExpressionEditor_ExpressionChanged(object sender, EventArgs e)
        {
            var editor = sender as C1.WPF.ExpressionEditor.C1ExpressionEditor;
            if(editor!=null && editor.GetErrors().Count==0)
            {
                editor.Evaluate();
            }
        }
        private void Cancel_Click(object sender, RoutedEventArgs e)
        {
            CancelClick?.Invoke(sender, e);
        }
        private void Ok_Click(object sender, RoutedEventArgs e)
        {
            OkClick?.Invoke(sender, e);
        }

        public object DataSource
        {
            get
            {
                return this.expressionEditor.DataSource;
            }
            set
            {
                this.expressionEditor.DataSource = value;
            }
        }

        public string Expression
        {
            get
            {
                return this.expressionEditor.Expression;
            }
            set
            {
                this.expressionEditor.Expression = value;
            }
        }
    }
}
